#See https://aka.ms/containerfastmode to understand how Visual Studio uses this Dockerfile to build your images for faster debugging.

#Depending on the operating system of the host machines(s) that will build or run the containers, the image specified in the FROM statement may need to be changed.
#For more information, please see https://aka.ms/containercompat

FROM mcr.microsoft.com/dotnet/aspnet:5.0 AS base

ENV ASPNETCORE_ENVIRONMENT=Development
ENV LEARNTECH_LOCAL=/app/git
ENV WEBAPI_TEMP=/app/temp
ENV LD_LIBRARY_PATH=/app/runtimes/debian.9-x64/native
#ENV LD_DEBUG=all

WORKDIR /app
EXPOSE 80
EXPOSE 443

FROM mcr.microsoft.com/dotnet/sdk:5.0 AS build
WORKDIR /src
COPY ["xAPI Definitions WebAPI/xAPI Definitions WebAPI.csproj", "xAPI Definitions WebAPI/"]
COPY ["xAPI Definitions Parser/xAPI Definitions Parser.csproj", "xAPI Definitions Parser/"]
RUN dotnet restore "xAPI Definitions WebAPI/xAPI Definitions WebAPI.csproj"
COPY . .
WORKDIR "/src/xAPI Definitions WebAPI"
RUN dotnet build "xAPI Definitions WebAPI.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "xAPI Definitions WebAPI.csproj" -c Release -o /app/publish

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "xAPI_Definitions_WebAPI.dll"]